package com.casic.dcms.model;

import java.util.List;

public class CleanRecordBean {

    /**
     * code : 200.0
     * data : {"rows":[{"createTime":"2021-05-31","defFlag":"0","id":"1399290564295921665","lat":"39.91570858","lng":"116.26856423","photo":"2021-05\\9cd59072bb40498dba03e07db0d3f79c.png","toiletId":"1120210531170001","toiletName":"","updateTime":"2021-05-31","userId":"1394828956022857730","userName":"","workContent":"日常保洁"}],"total":6}
     * message : 请求成功
     * success : true
     */

    private double code;
    private DataBean data;
    private String message;
    private boolean success;

    public double getCode() {
        return code;
    }

    public void setCode(double code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {
        /**
         * rows : [{"createTime":"2021-05-31","defFlag":"0","id":"1399290564295921665","lat":"39.91570858","lng":"116.26856423","photo":"2021-05\\9cd59072bb40498dba03e07db0d3f79c.png","toiletId":"1120210531170001","toiletName":"","updateTime":"2021-05-31","userId":"1394828956022857730","userName":"","workContent":"日常保洁"}]
         * total : 6.0
         */

        private double total;
        private List<RowsBean> rows;

        public double getTotal() {
            return total;
        }

        public void setTotal(double total) {
            this.total = total;
        }

        public List<RowsBean> getRows() {
            return rows;
        }

        public void setRows(List<RowsBean> rows) {
            this.rows = rows;
        }

        public static class RowsBean {
            /**
             * createTime : 2021-05-31
             * defFlag : 0
             * id : 1399290564295921665
             * lat : 39.91570858
             * lng : 116.26856423
             * photo : 2021-05\9cd59072bb40498dba03e07db0d3f79c.png
             * toiletId : 1120210531170001
             * toiletName :
             * updateTime : 2021-05-31
             * userId : 1394828956022857730
             * userName :
             * workContent : 日常保洁
             */

            private String createTime;
            private String defFlag;
            private String id;
            private String lat;
            private String lng;
            private String photo;
            private String toiletId;
            private String toiletName;
            private String updateTime;
            private String userId;
            private String userName;
            private String workContent;

            public String getCreateTime() {
                return createTime;
            }

            public void setCreateTime(String createTime) {
                this.createTime = createTime;
            }

            public String getDefFlag() {
                return defFlag;
            }

            public void setDefFlag(String defFlag) {
                this.defFlag = defFlag;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getLat() {
                return lat;
            }

            public void setLat(String lat) {
                this.lat = lat;
            }

            public String getLng() {
                return lng;
            }

            public void setLng(String lng) {
                this.lng = lng;
            }

            public String getPhoto() {
                return photo;
            }

            public void setPhoto(String photo) {
                this.photo = photo;
            }

            public String getToiletId() {
                return toiletId;
            }

            public void setToiletId(String toiletId) {
                this.toiletId = toiletId;
            }

            public String getToiletName() {
                return toiletName;
            }

            public void setToiletName(String toiletName) {
                this.toiletName = toiletName;
            }

            public String getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(String updateTime) {
                this.updateTime = updateTime;
            }

            public String getUserId() {
                return userId;
            }

            public void setUserId(String userId) {
                this.userId = userId;
            }

            public String getUserName() {
                return userName;
            }

            public void setUserName(String userName) {
                this.userName = userName;
            }

            public String getWorkContent() {
                return workContent;
            }

            public void setWorkContent(String workContent) {
                this.workContent = workContent;
            }
        }
    }
}
